using System;
using System.Windows.Forms;

namespace CsZip
{
	public class FolderDialog 
	{
		private string m_Text;
		private string m_Path;

		public FolderDialog(string text)
		{
			m_Text = text;
		}
		public string Path
		{
			get { return m_Path; }
		}
		public DialogResult ShowDialog()
		{
			Shell32.ShellClass shl = new Shell32.ShellClass();
			Shell32.Folder2 fld = (Shell32.Folder2)shl.BrowseForFolder(0, m_Text, 0, System.Reflection.Missing.Value);
			if (fld != null)
			{
				m_Path = fld.Self.Path;
				return DialogResult.OK;
			}
			else 
                return DialogResult.Cancel;
		}
	}
}
